|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QMetaMember Class Reference

The QMetaMember class provides meta data about a member function. More...

    #include <QMetaMember>

Part of the QtCore module.

- List of all members, including inherited members

### Public Types

- enum Attributes { Compatibility, Cloned, Scriptable }
- enum MemberType { Method, Signal, Slot }

### Public Functions

- Access access () const
- MemberType memberType () const
- QList<QByteArray> parameterNames () const
- QList<QByteArray> parameterTypes () const
- const char * signature () const
- const char * tag () const
- const char * typeName () const

## Detailed Description

The QMetaMember class provides meta data about a member function.

A QMetaMember has a memberType(), a signature(), a list of parameterTypes() and parameterNames(), a return typeName(), a tag(), and an access() specifier.

## Member Type Documentation

### enum QMetaMember::Attributes

Constant | Value
--- | ---
`QMetaMember::Compatibility` | `0x1`
`QMetaMember::Cloned` | `0x2`
`QMetaMember::Scriptable` | `0x4`

### enum QMetaMember::MemberType

Constant | Value
--- | ---
`QMetaMember::Method` | `0`
`QMetaMember::Signal` | `1`
`QMetaMember::Slot` | `2`

## Member Function Documentation

### Access QMetaMember::access () const

Returns the access specification of this member: private, protected, or public. Signals are always protected.

### MemberType QMetaMember::memberType () const

Returns the type of this member: Signal, Slot, or Method.

### QList<QByteArray> QMetaMember::parameterNames () const

Returns a list of parameter names.

### QList<QByteArray> QMetaMember::parameterTypes () const

Returns a list of parameter types.

### const char * QMetaMember::signature () const

Returns the signature of this member.

### const char * QMetaMember::tag () const

Returns the tag associated with this member.

### const char * QMetaMember::typeName () const

Returns the return type of this member, or an empty string if the return type is void.